# $Revision: 1.13 $, $Date: 2012/03/25 20:33:56 $
%define		rel		1
%define		subver	RC6
%define		status		beta
%define		pearname	Structures_BibTex
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Handling of BibTex Data
Summary(pl.UTF-8):	%{pearname} - obsługa danych BibTex
Name:		php-pear-%{pearname}
Version:	1.0.0
Release:	%{subver}.%{rel}
License:	PHP License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}%{subver}.tgz
# Source0-md5:	55259d5e18e12b3f279a9d3fc58e691d
URL:		http://pear.php.net/package/Structures_BibTex/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Obsoletes:	php-pear-Structures_BibTex-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parsing BibTex data to an array and converting an array to BibTex
Data.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
Pakiet ten umożliwia konwersję danych BibTex do tablicy PHP oraz z
tablicy PHP do danych BibTex.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Structures_BibTex/README .

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Structures/BibTex.php
%{php_pear_dir}/Structures/BibTex

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Structures_BibTex.spec,v $
Revision 1.13  2012/03/25 20:33:56  glen
- up to 1.0.0RC6

Revision 1.12  2011/01/23 01:22:35  sparky
- tests are no longer installed - don't try to remove them

Revision 1.11  2010/11/15 16:08:29  glen
- up to 1.0.0 RC5

Revision 1.10  2010/08/22 08:51:33  glen
- ensure rpmbuild macros present

Revision 1.9  2008/01/31 12:16:10  glen
- rel 2

Revision 1.8  2008-01-31 11:56:16  glen
- introduce %{rel}

Revision 1.7  2007-11-19 13:02:30  glen
- rel RC4.1

Revision 1.6  2007-11-15 00:30:00  glen
- 1.0.0-RC4

Revision 1.5  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.3  2006/12/30 10:32:45  adamg
- updated to 0.3.0

Revision 1.2  2006/08/06 12:00:19  adamg
- updated to 0.2.0

Revision 1.1  2006/06/28 17:13:17  adamg
- new
